# Asterisk Project : Asterisk 13 Function_SMDI_MSG

Created by wikibot on Aug 08, 2014

# SMDI_MSG()

### Synopsis

Retrieve details about an SMDI message.

### Description

This function is used to access details of an SMDI message that was pulled from the incoming SMDI message queue using the SMDI_MSG_RETRIEVE() function.

### Syntax

    SMDI_MSG(message_id,component)

##### Arguments

- `message_id`
- `component` - Valid message components are:
  - `number` - The message desk number
  - `terminal` - The message desk terminal
  - `station` - The forwarding station
  - `callerid` - The callerID of the calling party that was forwarded
  - `type` - The call type. The value here is the exact character that came in on the SMDI link. Typically, example values are:
    Options:
    - `D` - Direct Calls
    - `A` - Forward All Calls
    - `B` - Forward Busy Calls
    - `N` - Forward No Answer Calls

### See Also

- Asterisk 13 Function_SMDI_MSG_RETRIEVE

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538